6.0.0-git
2019-04-25

[#8496] Incorrect Reminder Message Log Time
Summary Incorrect Reminder Message Log Time
Queue Horde Framework Packages
Queue Version FRAMEWORK_3
Type Bug
State Resolved
Priority 1. Low
Owners
Requester bhalsema (at) purdue (dot) edu
Created 2009-08-13 (3542 days ago)
Due
Updated 2017-09-06 (596 days ago)
Assigned 2009-08-20 (3535 days ago)
Resolved 2009-08-20 (3535 days ago)
Milestone
Patch No

History
2017-09-06 08:18:02 Git Commit Comment #11 Reply to this comment
Changes have been made in Git (master):

commit 49b1c20490f26decc17f4c303498908f7398d67e
Author: Moritz Venn <ritzmo@php.net>
Date:   Fri Aug 18 11:37:04 2006 +0000

     Fix Bug #8496 (thanks Brian)


     git-svn-id: 
https://svn.php.net/repository/pear/packages/Text_Wiki/trunk@218410 
c90b9560-bf6c-de11-be94-00142212c4b1

  Text/Wiki/Parse/Mediawiki/Table.php | 2 +-
  1 file changed, 1 insertion(+), 1 deletion(-)

http://github.com/horde/horde/commit/49b1c20490f26decc17f4c303498908f7398d67e
2009-08-27 21:41:36 Jan Schneider Comment #10 Reply to this comment
This is a serious bug in PHP then.
2009-08-27 21:05:36 bhalsema (at) purdue (dot) edu Comment #9 Reply to this comment
I was wrong.  :(  I failed you.



The error is that the unsetting of the TZ environment variable should 
only take place if it is set.

If it isn't, then it will generate a segmentation violation.  So, we 
are close.



I modified the clearing of the variable to be in a conditional 
statement...like what you use to restore the value.



if ($tz) {

    @putenv('TZ');

}



I still need to verify whether it corrects the logging issue, but 
without the conditional, the behavior is quite undesirable.  :)
2009-08-21 20:25:59 bhalsema (at) purdue (dot) edu Comment #8 Reply to this comment
It appears to be working.  Thanks!
2009-08-20 21:44:25 Jan Schneider Comment #7
State ⇒ Resolved
Reply to this comment
Bummer, that's what this ticket was about. :)
2009-08-20 21:03:19 bhalsema (at) purdue (dot) edu Comment #5 Reply to this comment
Really close.  I like your conservative approach.  :)



The only problem I ran into was that the TZ environment variable was 
still set, so it continued to override the system settings.  I must 
admit to not being an expert, but, I think, that something like the 
following is needed:



lib/Horde.php (starting line 77)



         /* Make sure to log in the system's locale and timezone. */

         $locale = setlocale(LC_TIME, 0);

         setlocale(LC_TIME, 'C');

         $tz = getenv('TZ');

-->    @putenv('TZ');



Thereby unsetting the TZ environment variable and letting the PHP 
mechanisms and system settings to be applied to logging.




2009-08-20 16:33:47 Jan Schneider Comment #4
State ⇒ Feedback
Reply to this comment
Try what I committed?
2009-08-20 16:32:24 Jan Schneider Comment #2
Version ⇒ FRAMEWORK_3
Queue ⇒ Horde Framework Packages
Reply to this comment
This has nothing to do with reminders, this is how Horde logging 
currently works.
2009-08-13 21:06:49 bhalsema (at) purdue (dot) edu Comment #1
Type ⇒ Bug
State ⇒ Unconfirmed
Priority ⇒ 1. Low
Summary ⇒ Incorrect Reminder Message Log Time
Queue ⇒ Kronolith
Milestone ⇒
Patch ⇒ No
Reply to this comment
We are using Horde Webmail Group Edition 1.2.3.  When testing the script



horde/kronolith/scripts/reminders.php



, the log lines associated with the sending of the reminder (from line 
476 in horde/kronolith/lib/Scheduler/kronolith.php



is using the timezone specified by the user, not the system.



The date and time associated with the message (in the message's 
headers) and the syslog lines should be consistent with the system, 
not the individual user's locale settings.

Saved Queries